import { UnionShape } from '../shapes';
/**
 * Creates a union shape that tries to parse the input with one of the provided shapes.
 *
 * @param shapes The list of shapes to try.
 * @param options The constraint options or an issue message.
 * @template U The tuple of united shapes.
 */
export function union(shapes, options) {
    return new UnionShape(shapes, options);
}
export { union as or };
