export declare const MESSAGE_ERROR_ASYNC = "Shape is async, consider using tryAsync, parseAsync, or parseOrDefaultAsync";
export declare const CODE_ARRAY_MAX = "arrayMaxLength";
export declare const CODE_ARRAY_MIN = "arrayMinLength";
export declare const CODE_ENUM = "enum";
export declare const CODE_EXCLUSION = "exclusion";
export declare const CODE_INSTANCE = "instance";
export declare const CODE_INTERSECTION = "intersection";
export declare const CODE_PREDICATE = "predicate";
export declare const CODE_NEVER = "never";
export declare const CODE_NUMBER_GT = "numberGreaterThan";
export declare const CODE_NUMBER_GTE = "numberGreaterThanOrEqual";
export declare const CODE_NUMBER_LT = "numberLessThan";
export declare const CODE_NUMBER_LTE = "numberLessThanOrEqual";
export declare const CODE_NUMBER_MULTIPLE_OF = "numberMultipleOf";
export declare const CODE_STRING_MAX = "stringMaxLength";
export declare const CODE_STRING_MIN = "stringMinLength";
export declare const CODE_STRING_REGEX = "stringRegex";
export declare const CODE_TYPE = "type";
export declare const CODE_TUPLE = "tuple";
export declare const CODE_UNION = "union";
export declare const CODE_UNKNOWN_KEYS = "unknownKeys";
export declare const TYPE_ARRAY = "array";
export declare const TYPE_BIGINT = "bigint";
export declare const TYPE_BOOLEAN = "boolean";
export declare const TYPE_INTEGER = "integer";
export declare const TYPE_NUMBER = "number";
export declare const TYPE_OBJECT = "object";
export declare const TYPE_PROMISE = "promise";
export declare const TYPE_STRING = "string";
export declare const MESSAGE_ARRAY_TYPE = "Must be an array";
export declare const MESSAGE_ARRAY_MAX = "Must have the maximum length of %s";
export declare const MESSAGE_ARRAY_MIN = "Must have the minimum length of %s";
export declare const MESSAGE_BIGINT_TYPE = "Must be a bigint";
export declare const MESSAGE_BOOLEAN_TYPE = "Must be a boolean";
export declare const MESSAGE_ENUM = "Must be equal to one of: %s";
export declare const MESSAGE_EXCLUSION = "Must not be equal to %s";
export declare const MESSAGE_INSTANCE = "Must be a class instance";
export declare const MESSAGE_INTEGER_TYPE = "Must be an integer";
export declare const MESSAGE_INTERSECTION = "Must conform the intersection";
export declare const MESSAGE_PREDICATE = "Must conform the predicate";
export declare const MESSAGE_NEVER = "Must not be used";
export declare const MESSAGE_NUMBER_TYPE = "Must be a number";
export declare const MESSAGE_NUMBER_GT = "Must be greater than %s";
export declare const MESSAGE_NUMBER_GTE = "Must be greater than or equal to %s";
export declare const MESSAGE_NUMBER_LT = "Must be less than %s";
export declare const MESSAGE_NUMBER_LTE = "Must be less than or equal to %s";
export declare const MESSAGE_NUMBER_MULTIPLE_OF = "Must be a multiple of %s";
export declare const MESSAGE_OBJECT_TYPE = "Must be an object";
export declare const MESSAGE_PROMISE_TYPE = "Must be a promise";
export declare const MESSAGE_UNKNOWN_KEYS = "Must not have unknown keys: %s";
export declare const MESSAGE_STRING_TYPE = "Must be a string";
export declare const MESSAGE_STRING_MAX = "Must have the maximum length of %s";
export declare const MESSAGE_STRING_MIN = "Must have the minimum length of %s";
export declare const MESSAGE_STRING_REGEX = "Must match the pattern %s";
export declare const MESSAGE_TUPLE = "Must be a tuple of length %s";
export declare const MESSAGE_UNION = "Must conform a union";
