import { EnumShape } from '../shapes';
import { isArray, unique } from '../utils';
function enum_(values, options) {
    return new EnumShape(unique(isArray(values) ? values : Object.values(values).filter(function (value) { return typeof values[value] !== 'number'; })), options);
}
// noinspection ReservedWordAsName
export { enum_ as enum };
