import { InstanceShape } from '../shapes';
/**
 * Creates the class instance shape.
 *
 * @param ctor The instance constructor.
 * @param options The constraint options or an issue message.
 * @template C The instance constructor.
 */
export function instanceOf(ctor, options) {
    return new InstanceShape(ctor, options);
}
