import { NumberShape } from '../shapes';
import { Message, TypeConstraintOptions } from '../shared-types';
/**
 * Creates the integer shape that rejects `Infinity` and `NaN` values.
 *
 * @param options The constraint options or an issue message.
 */
export declare function integer(options?: TypeConstraintOptions | Message): NumberShape;
export { integer as int };
