import { IntersectionShape } from '../shapes';
/**
 * Creates an intersection shape that tries to parse the input with all provided shapes.
 *
 * @param shapes The list of shapes.
 * @param options The constraint options or an issue message.
 * @template U The tuple of intersected shapes.
 */
export function intersection(shapes, options) {
    return new IntersectionShape(shapes, options);
}
export { intersection as and };
