import { PromiseShape } from '../shapes';
/**
 * Creates the shape of a value wrapped in a `Promise` instance.
 *
 * @param shape The shape of the resolved value.
 * @param options The constraint options or an issue message.
 * @template S The shape of the resolved value.
 */
export function promise(shape, options) {
    return new PromiseShape(shape, options);
}
